Retrieve a data stream
curl --request GET \
--url https://api.endclose.com/v1/data_streams/{key} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.endclose.com/v1/data_streams/{key}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.endclose.com/v1/data_streams/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"key": "<string>",
"name": "<string>",
"id": 123,
"description": "<string>",
"type": "<string>",
"program_id": 123,
"records_count": 123
}Data Streams
Retrieve a data stream
Retrieve a data stream using its unique immutable key.
GET
/
data_streams
/
{key}
Retrieve a data stream
Authorizations
Path Parameters
The immutable data stream key
Response
Data stream retrieved successfully
Unique immutable identifier
Human readable name
Unique numeric identifier
Optional description of the data stream
The type of data stream (e.g. api, csv, stripe, bank_feed)
Record count from the ClickHouse mirror